Index: issm/branches/trunk-jpl-damage/src/m/classes/initialization.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/initialization.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/initialization.m	(revision 12878)
@@ -27,34 +27,34 @@
 
 		end % }}}
-		function checkconsistency(obj,md,solution,analyses) % {{{
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
 			if ismember(DiagnosticHorizAnalysisEnum,analyses)
 				if ~isnan(md.initialization.vx) & ~isnan(md.initialization.vy),
-					checkfield(md,'initialization.vx','NaN',1,'size',[md.mesh.numberofvertices 1]);
-					checkfield(md,'initialization.vy','NaN',1,'size',[md.mesh.numberofvertices 1]);
+					md = checkfield(md,'initialization.vx','NaN',1,'size',[md.mesh.numberofvertices 1]);
+					md = checkfield(md,'initialization.vy','NaN',1,'size',[md.mesh.numberofvertices 1]);
 				end
 			end
 			if ismember(PrognosticAnalysisEnum,analyses),
-				checkfield(md,'initialization.vx','NaN',1,'size',[md.mesh.numberofvertices 1]);
-				checkfield(md,'initialization.vy','NaN',1,'size',[md.mesh.numberofvertices 1]);
+				md = checkfield(md,'initialization.vx','NaN',1,'size',[md.mesh.numberofvertices 1]);
+				md = checkfield(md,'initialization.vy','NaN',1,'size',[md.mesh.numberofvertices 1]);
 			end
 			if ismember(HydrologyAnalysisEnum,analyses),
-				checkfield(md,'initialization.watercolumn','NaN',1,'size',[md.mesh.numberofvertices 1]);
+				md = checkfield(md,'initialization.watercolumn','NaN',1,'size',[md.mesh.numberofvertices 1]);
 			end
 			if ismember(BalancethicknessAnalysisEnum,analyses),
-				checkfield(md,'initialization.vx','NaN',1,'size',[md.mesh.numberofvertices 1]);
-				checkfield(md,'initialization.vy','NaN',1,'size',[md.mesh.numberofvertices 1]);
+				md = checkfield(md,'initialization.vx','NaN',1,'size',[md.mesh.numberofvertices 1]);
+				md = checkfield(md,'initialization.vy','NaN',1,'size',[md.mesh.numberofvertices 1]);
 				%Triangle with zero velocity
 				if any(sum(abs(md.initialization.vx(md.mesh.elements)),2)==0 & sum(abs(md.initialization.vy(md.mesh.elements)),2)==0)
-					checkmessage('at least one triangle has all its vertices with a zero velocity');
+					md = checkmessage(md,'at least one triangle has all its vertices with a zero velocity');
 				end
 			end
 			if ismember(ThermalAnalysisEnum,analyses),
-				checkfield(md,'initialization.vx','NaN',1,'size',[md.mesh.numberofvertices 1]);
-				checkfield(md,'initialization.vy','NaN',1,'size',[md.mesh.numberofvertices 1]);
-				checkfield(md,'initialization.vz','NaN',1,'size',[md.mesh.numberofvertices 1]);
-				checkfield(md,'initialization.pressure','NaN',1,'size',[md.mesh.numberofvertices 1]);
+				md = checkfield(md,'initialization.vx','NaN',1,'size',[md.mesh.numberofvertices 1]);
+				md = checkfield(md,'initialization.vy','NaN',1,'size',[md.mesh.numberofvertices 1]);
+				md = checkfield(md,'initialization.vz','NaN',1,'size',[md.mesh.numberofvertices 1]);
+				md = checkfield(md,'initialization.pressure','NaN',1,'size',[md.mesh.numberofvertices 1]);
 			end
-			if (ismember(EnthalpyAnalysisEnum,analyses) & md.thermal.isenthalpy),
-				checkfield(md,'initialization.waterfraction','>=',0,'size',[md.mesh.numberofvertices 1]);
+			if (ismember(EnthalpyAnalysisEnum,analyses) & md.thermal.isenthalpy) | solution==EnthalpySolutionEnum,
+				md = checkfield(md,'initialization.waterfraction','>=',0,'size',[md.mesh.numberofvertices 1]);
 			end
 		end % }}}
Index: issm/branches/trunk-jpl-damage/src/m/classes/inversion.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/inversion.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/inversion.m	(revision 12878)
@@ -75,5 +75,5 @@
 
 		end % }}}
-		function checkconsistency(obj,md,solution,analyses) % {{{
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
 
 			%Early return
@@ -98,8 +98,8 @@
 
 			if solution==BalancethicknessSolutionEnum
-				checkfield(md,'inversion.thickness_obs','size',[md.mesh.numberofvertices 1],'NaN',1);
+				md = checkfield(md,'inversion.thickness_obs','size',[md.mesh.numberofvertices 1],'NaN',1);
 			else
-				checkfield(md,'inversion.vx_obs','size',[md.mesh.numberofvertices 1],'NaN',1);
-				checkfield(md,'inversion.vy_obs','size',[md.mesh.numberofvertices 1],'NaN',1);
+				md = checkfield(md,'inversion.vx_obs','size',[md.mesh.numberofvertices 1],'NaN',1);
+				md = checkfield(md,'inversion.vy_obs','size',[md.mesh.numberofvertices 1],'NaN',1);
 			end
 		end % }}}
Index: issm/branches/trunk-jpl-damage/src/m/classes/mask.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/mask.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/mask.m	(revision 12878)
@@ -25,12 +25,12 @@
 
 		end % }}}
-		function checkconsistency(obj,md,solution,analyses) % {{{
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
 
-			checkfield(md,'mask.elementonfloatingice','size',[md.mesh.numberofelements 1],'values',[0 1]);
-			checkfield(md,'mask.elementongroundedice','size',[md.mesh.numberofelements 1],'values',[0 1]);
-			checkfield(md,'mask.elementonwater'      ,'size',[md.mesh.numberofelements 1],'values',[0 1]);
-			checkfield(md,'mask.vertexonfloatingice','size',[md.mesh.numberofvertices 1],'values',[0 1]);
-			checkfield(md,'mask.vertexongroundedice','size',[md.mesh.numberofvertices 1],'values',[0 1]);
-			checkfield(md,'mask.vertexonwater'      ,'size',[md.mesh.numberofvertices 1],'values',[0 1]);
+			md = checkfield(md,'mask.elementonfloatingice','size',[md.mesh.numberofelements 1],'values',[0 1]);
+			md = checkfield(md,'mask.elementongroundedice','size',[md.mesh.numberofelements 1],'values',[0 1]);
+			md = checkfield(md,'mask.elementonwater'      ,'size',[md.mesh.numberofelements 1],'values',[0 1]);
+			md = checkfield(md,'mask.vertexonfloatingice','size',[md.mesh.numberofvertices 1],'values',[0 1]);
+			md = checkfield(md,'mask.vertexongroundedice','size',[md.mesh.numberofvertices 1],'values',[0 1]);
+			md = checkfield(md,'mask.vertexonwater'      ,'size',[md.mesh.numberofvertices 1],'values',[0 1]);
 		end % }}}
 		function disp(obj) % {{{
Index: issm/branches/trunk-jpl-damage/src/m/classes/materials.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/materials.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/materials.m	(revision 12878)
@@ -8,4 +8,5 @@
 		rho_ice                    = 0;
 		rho_water                  = 0;
+		rho_freshwater             = 0;
 		mu_water                   = 0;
 		heatcapacity               = 0;
@@ -35,6 +36,9 @@
 			obj.rho_ice=917;
 
-			%water density (kg/m^3)
+			%ocean water density (kg/m^3)
 			obj.rho_water=1023;
+
+			%fresh water density (kg/m^3)
+			obj.rho_freshwater=1000;
 
 			%water viscosity (N.s/m^2)
@@ -66,12 +70,12 @@
 			obj.rheology_law='Paterson';
 		end % }}}
-		function checkconsistency(obj,md,solution,analyses) % {{{
-			checkfield(md,'materials.rho_ice','>',0);
-			checkfield(md,'materials.rho_water','>',0);
-			checkfield(md,'materials.mu_water','>',0);
-			checkfield(md,'materials.rheology_B','>',0,'size',[md.mesh.numberofvertices 1]);
-			checkfield(md,'materials.rheology_n','>',0,'size',[md.mesh.numberofelements 1]);
-			checkfield(md,'materials.rheology_Z','>',0,'size',[md.mesh.numberofvertices 1]);
-			checkfield(md,'materials.rheology_law','values',{'None' 'Paterson' 'Arrhenius'});
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
+			md = checkfield(md,'materials.rho_ice','>',0);
+			md = checkfield(md,'materials.rho_water','>',0);
+			md = checkfield(md,'materials.rho_freshwater','>',0);
+			md = checkfield(md,'materials.mu_water','>',0);
+			md = checkfield(md,'materials.rheology_B','>',0,'size',[md.mesh.numberofvertices 1]);
+			md = checkfield(md,'materials.rheology_n','>',0,'size',[md.mesh.numberofelements 1]);
+			md = checkfield(md,'materials.rheology_law','values',{'None' 'Paterson' 'Arrhenius'});
 		end % }}}
 		function disp(obj) % {{{
@@ -79,5 +83,6 @@
 
 			fielddisplay(obj,'rho_ice','ice density [kg/m^3]');
-			fielddisplay(obj,'rho_water','water density [kg/m^3]');
+			fielddisplay(obj,'rho_water','ocean water density [kg/m^3]');
+			fielddisplay(obj,'rho_freshwater','fresh water density [kg/m^3]');
 			fielddisplay(obj,'mu_water','water viscosity [N s/m^2]');
 			fielddisplay(obj,'heatcapacity','heat capacity [J/kg/K]');
@@ -96,4 +101,5 @@
 			WriteData(fid,'object',obj,'fieldname','rho_ice','format','Double');
 			WriteData(fid,'object',obj,'fieldname','rho_water','format','Double');
+			WriteData(fid,'object',obj,'fieldname','rho_freshwater','format','Double');
 			WriteData(fid,'object',obj,'fieldname','mu_water','format','Double');
 			WriteData(fid,'object',obj,'fieldname','heatcapacity','format','Double');
Index: issm/branches/trunk-jpl-damage/src/m/classes/mesh.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/mesh.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/mesh.m	(revision 12878)
@@ -64,33 +64,33 @@
 			obj.average_vertex_connectivity=25;
 		end % }}}
-		function checkconsistency(obj,md,solution,analyses) % {{{
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
 
-			checkfield(md,'mesh.x','NaN',1,'size',[md.mesh.numberofvertices 1]);
-			checkfield(md,'mesh.y','NaN',1,'size',[md.mesh.numberofvertices 1]);
-			checkfield(md,'mesh.z','NaN',1,'size',[md.mesh.numberofvertices 1]);
-			checkfield(md,'mesh.elements','NaN',1,'>',0,'values',1:md.mesh.numberofvertices);
+			md = checkfield(md,'mesh.x','NaN',1,'size',[md.mesh.numberofvertices 1]);
+			md = checkfield(md,'mesh.y','NaN',1,'size',[md.mesh.numberofvertices 1]);
+			md = checkfield(md,'mesh.z','NaN',1,'size',[md.mesh.numberofvertices 1]);
+			md = checkfield(md,'mesh.elements','NaN',1,'>',0,'values',1:md.mesh.numberofvertices);
 			if(md.mesh.dimension==2),
-				checkfield(md,'mesh.elements','size',[md.mesh.numberofelements 3]);
+				md = checkfield(md,'mesh.elements','size',[md.mesh.numberofelements 3]);
 			else
-				checkfield(md,'mesh.elements','size',[md.mesh.numberofelements 6]);
+				md = checkfield(md,'mesh.elements','size',[md.mesh.numberofelements 6]);
 			end
 			if any(~ismember(1:md.mesh.numberofvertices,sort(unique(md.mesh.elements(:)))));
-				checkmessage('orphan nodes have been found. Check the mesh outline');
+				md = checkmessage(md,'orphan nodes have been found. Check the mesh outline');
 			end
-			checkfield(md,'mesh.dimension','values',[2 3]);
-			checkfield(md,'mesh.numberoflayers','>=',0);
-			checkfield(md,'mesh.numberofelements','>',0);
-			checkfield(md,'mesh.numberofvertices','>',0);
+			md = checkfield(md,'mesh.dimension','values',[2 3]);
+			md = checkfield(md,'mesh.numberoflayers','>=',0);
+			md = checkfield(md,'mesh.numberofelements','>',0);
+			md = checkfield(md,'mesh.numberofvertices','>',0);
 			%no checks for numberofedges lat long and hemisphere
-			checkfield(md,'mesh.elementonbed','size',[md.mesh.numberofelements 1],'values',[0 1]);
-			checkfield(md,'mesh.elementonsurface','size',[md.mesh.numberofelements 1],'values',[0 1]);
-			checkfield(md,'mesh.vertexonbed','size',[md.mesh.numberofvertices 1],'values',[0 1]);
-			checkfield(md,'mesh.vertexonsurface','size',[md.mesh.numberofvertices 1],'values',[0 1]);
+			md = checkfield(md,'mesh.elementonbed','size',[md.mesh.numberofelements 1],'values',[0 1]);
+			md = checkfield(md,'mesh.elementonsurface','size',[md.mesh.numberofelements 1],'values',[0 1]);
+			md = checkfield(md,'mesh.vertexonbed','size',[md.mesh.numberofvertices 1],'values',[0 1]);
+			md = checkfield(md,'mesh.vertexonsurface','size',[md.mesh.numberofvertices 1],'values',[0 1]);
 			if (md.mesh.dimension==2),
-				checkfield(md,'mesh.average_vertex_connectivity','>=',9,'message','''mesh.average_vertex_connectivity'' should be at least 9 in 2d');
+				md = checkfield(md,'mesh.average_vertex_connectivity','>=',9,'message','''mesh.average_vertex_connectivity'' should be at least 9 in 2d');
 			else
-				checkfield(md,'mesh.average_vertex_connectivity','>=',24,'message','''mesh.average_vertex_connectivity'' should be at least 24 in 3d');
+				md = checkfield(md,'mesh.average_vertex_connectivity','>=',24,'message','''mesh.average_vertex_connectivity'' should be at least 24 in 3d');
 			end
-			checkfield(md,'mesh.elementconnectivity','size',[md.mesh.numberofelements 3],'NaN',1);
+			md = checkfield(md,'mesh.elementconnectivity','size',[md.mesh.numberofelements 3],'NaN',1);
 
 			%Solution specific checks
@@ -98,22 +98,22 @@
 				case PrognosticSolutionEnum,
 					if md.prognostic.stabilization==3,
-						checkfield(md,'mesh.dimension','values',2,'message','Discontinuous Galerkin only supported for 2d meshes');
-						checkfield(md,'mesh.edges','size',[NaN 4]);
-						checkfield(md,'mesh.edges(:,1:3)','>',0);
+						md = checkfield(md,'mesh.dimension','values',2,'message','Discontinuous Galerkin only supported for 2d meshes');
+						md = checkfield(md,'mesh.edges','size',[NaN 4]);
+						md = checkfield(md,'mesh.edges(:,1:3)','>',0);
 					end
 				case BalancethicknessSolutionEnum,
 					if md.balancethickness.stabilization==3,
-						checkfield(md,'mesh.dimension','values',2,'message','Discontinuous Galerkin only supported for 2d meshes');
-						checkfield(md,'mesh.edges','size',[NaN 4]);
-						checkfield(md,'mesh.edges(:,1:3)','>',0);
+						md = checkfield(md,'mesh.dimension','values',2,'message','Discontinuous Galerkin only supported for 2d meshes');
+						md = checkfield(md,'mesh.edges','size',[NaN 4]);
+						md = checkfield(md,'mesh.edges(:,1:3)','>',0);
 					end
 				case TransientSolutionEnum,
 					if md.transient.isprognostic & md.prognostic.stabilization==3,
-						checkfield(md,'mesh.dimension','values',2,'message','Discontinuous Galerkin only supported for 2d meshes');
-						checkfield(md,'mesh.edges','size',[NaN 4]);
-						checkfield(md,'mesh.edges(:,1:3)','>',0);
+						md = checkfield(md,'mesh.dimension','values',2,'message','Discontinuous Galerkin only supported for 2d meshes');
+						md = checkfield(md,'mesh.edges','size',[NaN 4]);
+						md = checkfield(md,'mesh.edges(:,1:3)','>',0);
 					end
 				case ThermalSolutionEnum,
-					checkfield(md,'mesh.dimension','values',3,'message','thermal solution only supported on 3d meshes');
+					md = checkfield(md,'mesh.dimension','values',3,'message','thermal solution only supported on 3d meshes');
 			end
 		end % }}}
Index: issm/branches/trunk-jpl-damage/src/m/classes/miscellaneous.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/miscellaneous.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/miscellaneous.m	(revision 12878)
@@ -19,7 +19,7 @@
 			end
 		end % }}}
-		function checkconsistency(obj,md,solution,analyses) % {{{
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
 
-			checkfield(md,'miscellaneous.name','empty',1);
+			md = checkfield(md,'miscellaneous.name','empty',1);
 
 		end % }}}
Index: issm/branches/trunk-jpl-damage/src/m/classes/model/model.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/model/model.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/model/model.m	(revision 12878)
@@ -6,5 +6,5 @@
 classdef model
     properties (SetAccess=public) %Model fields
-		 % {{{1
+		 % {{{
 		 %Careful here: no other class should be used as default value this is a bug of matlab
 		 mesh             = 0;
@@ -75,5 +75,5 @@
 	 end
 	 methods
-		 function md = model(varargin) % {{{1
+		 function md = model(varargin) % {{{
 
 			 switch nargin
@@ -83,4 +83,10 @@
 					 error('model constructor error message: 0 of 1 argument only in input.');
 				 end
+		 end
+		 %}}}
+		 function md = checkmessage(md,string) % {{{
+			 if(nargout~=1) error('wrong usage, model must be an output'); end
+			 disp(['model not consistent: ' string]);
+			 md.private.isconsistent=false;
 		 end
 		 %}}}
@@ -244,6 +250,7 @@
 			 if isfield(structmd,'pressureload'), md.diagnostic.icefront=structmd.pressureload; end
 			 if isfield(structmd,'diagnostic_ref'), md.diagnostic.referential=structmd.diagnostic_ref; end
-
-
+			 if isfield(structmd,'npart'); md.qmu.numberofpartitions=structmd.npart; end
+			 if isfield(structmd,'part'); md.qmu.partition=structmd.part; end
+				 
 			 %Field changes
 			 if (isfield(structmd,'type') & ischar(structmd.type)), 
@@ -352,9 +359,11 @@
 				 md.mesh.lowerelements(1:md.mesh.numberofelements2d)=NaN;
 			 end
+				 
 			 if ~isfield(structmd,'diagnostic_ref');
 				 md.diagnostic.referential=NaN*ones(md.mesh.numberofvertices,6);
 			 end
+
 		 end% }}}
-		 function md = setdefaultparameters(md) % {{{1
+		 function md = setdefaultparameters(md) % {{{
 
 			 %initialize subclasses
Index: issm/branches/trunk-jpl-damage/src/m/classes/model/model.py
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/model/model.py	(revision 12878)
+++ issm/branches/trunk-jpl-damage/src/m/classes/model/model.py	(revision 12878)
@@ -0,0 +1,114 @@
+#module imports {{{
+from mesh import mesh
+from mask import mask
+from geometry import geometry
+from constants import constants
+from surfaceforcings import surfaceforcings
+from basalforcings import basalforcings
+from materials import materials
+from friction import friction
+from flowequation import flowequation
+from timestepping import timestepping
+from initialization import initialization
+from rifts import rifts
+from debug import debug
+from verbose import verbose
+from settings import settings
+from solver import solver
+from generic import generic
+from balancethickness import balancethickness
+from diagnostic import diagnostic
+from groundingline import groundingline
+from hydrology import hydrology
+from prognostic import prognostic
+from thermal import thermal
+from steadystate import steadystate
+from transient import transient
+from autodiff import autodiff
+from flaim import flaim
+from inversion import inversion
+from qmu import qmu
+from radaroverlay import radaroverlay
+from miscellaneous import miscellaneous
+from private import private
+#}}}
+class model(object):
+	#properties
+	def __init__(self):
+		# {{{ Properties
+		self.mesh             = mesh()
+		self.mask             = mask()
+		self.geometry         = geometry()
+		self.constants        = constants()
+		self.surfaceforcings  = surfaceforcings()
+		self.basalforcings    = basalforcings()
+		self.materials        = materials()
+		self.friction         = friction()
+		self.flowequation     = flowequation()
+		self.timestepping     = timestepping()
+		self.initialization   = initialization()
+		self.rifts            = rifts()
+
+		self.debug            = debug()
+		self.verbose          = verbose()
+		self.settings         = settings()
+		self.solver           = solver()
+		self.cluster          = generic()
+
+		self.balancethickness = balancethickness()
+		self.diagnostic       = diagnostic()
+		self.groundingline    = groundingline()
+		self.hydrology        = hydrology()
+		self.prognostic       = prognostic()
+		self.thermal          = thermal()
+		self.steadystate      = steadystate()
+		self.transient        = transient()
+
+		self.autodiff         = autodiff()
+		self.flaim            = flaim()
+		self.inversion        = inversion()
+		self.qmu              = qmu()
+
+		self.results          = [];
+		self.radaroverlay     = radaroverlay()
+		self.miscellaneous    = miscellaneous()
+		self.private          = private()
+		#}}}
+	def __repr__(obj):
+		# {{{ Display
+
+		#print "Here %s the number: %d" % ("is", 37)
+		string="%19s: %-22s -- %s" % ("mesh","[%s,%s]" % ("1x1",obj.mesh.__class__.__name__),"mesh properties")
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("mask","[%s,%s]" % ("1x1",obj.mask.__class__.__name__),"defines grounded and floating elements"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("geometry","[%s,%s]" % ("1x1",obj.geometry.__class__.__name__),"surface elevation, bedrock topography, ice thickness,..."))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("constants","[%s,%s]" % ("1x1",obj.constants.__class__.__name__),"physical constants"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("surfaceforcings","[%s,%s]" % ("1x1",obj.surfaceforcings.__class__.__name__),"surface forcings"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("basalforcings","[%s,%s]" % ("1x1",obj.basalforcings.__class__.__name__),"bed forcings"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("materials","[%s,%s]" % ("1x1",obj.materials.__class__.__name__),"material properties"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("friction","[%s,%s]" % ("1x1",obj.friction.__class__.__name__),"basal friction/drag properties"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("flowequation","[%s,%s]" % ("1x1",obj.flowequation.__class__.__name__),"flow equations"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("timestepping","[%s,%s]" % ("1x1",obj.timestepping.__class__.__name__),"time stepping for transient models"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("initialization","[%s,%s]" % ("1x1",obj.initialization.__class__.__name__),"initial guess/state"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("rifts","[%s,%s]" % ("1x1",obj.rifts.__class__.__name__),"rifts properties'"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("debug","[%s,%s]" % ("1x1",obj.debug.__class__.__name__),"debugging tools (valgrind, gprof"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("verbose","[%s,%s]" % ("1x1",obj.verbose.__class__.__name__),"verbosity level in solve"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("settings","[%s,%s]" % ("1x1",obj.settings.__class__.__name__),"settings properties"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("solver","[%s,%s]" % ("1x1",obj.solver.__class__.__name__),"PETSc options for each solution'"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("cluster","[%s,%s]" % ("1x1",obj.cluster.__class__.__name__),"cluster parameters (number of cpus...)"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("balancethickness","[%s,%s]" % ("1x1",obj.balancethickness.__class__.__name__),"parameters for balancethickness solution"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("diagnostic","[%s,%s]" % ("1x1",obj.diagnostic.__class__.__name__),"parameters for diagnostic solution"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("groundingline","[%s,%s]" % ("1x1",obj.groundingline.__class__.__name__),"parameters for groundingline solution"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("hydrology","[%s,%s]" % ("1x1",obj.hydrology.__class__.__name__),"parameters for hydrology solution"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("prognostic","[%s,%s]" % ("1x1",obj.prognostic.__class__.__name__),"parameters for prognostic solution"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("thermal","[%s,%s]" % ("1x1",obj.thermal.__class__.__name__),"parameters for thermal solution"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("steadystate","[%s,%s]" % ("1x1",obj.steadystate.__class__.__name__),"parameters for steadystate solution"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("transient","[%s,%s]" % ("1x1",obj.transient.__class__.__name__),"parameters for transient solution"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("autodiff","[%s,%s]" % ("1x1",obj.autodiff.__class__.__name__),"automatic differentiation parameters"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("flaim","[%s,%s]" % ("1x1",obj.flaim.__class__.__name__),"flaim parameters"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("inversion","[%s,%s]" % ("1x1",obj.inversion.__class__.__name__),"parameters for inverse methods"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("qmu","[%s,%s]" % ("1x1",obj.qmu.__class__.__name__),"dakota properties"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("results","[%s,%s]" % ("1x1",obj.results.__class__.__name__),"model results'"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("radaroverlay","[%s,%s]" % ("1x1",obj.radaroverlay.__class__.__name__),"radar image for plot overlay"))
+		string="%s\n%s" % (string,"%19s: %-22s -- %s" % ("miscellaneous","[%s,%s]" % ("1x1",obj.miscellaneous.__class__.__name__),"miscellaneous fields"))
+		return string;
+		 #}}}
Index: issm/branches/trunk-jpl-damage/src/m/classes/model/planet.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/model/planet.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/model/planet.m	(revision 12878)
@@ -6,5 +6,5 @@
 classdef planet < model
     properties (SetAccess=public) %Planet fields
-		 % {{{1
+		 % {{{
 		 %Planet specific fields
 		 r=NaN;
@@ -14,5 +14,5 @@
 	 end
 	 methods
-		function md=planetmesh(md,varargin) % {{{1
+		function md=planetmesh(md,varargin) % {{{
 		%PLANETMESH: build 2d shell mesh
 		%
Index: issm/branches/trunk-jpl-damage/src/m/classes/organizer.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/organizer.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/organizer.m	(revision 12878)
@@ -16,5 +16,5 @@
 classdef organizer
     properties (SetAccess=private) 
-		 % {{{1
+		 % {{{
 		 currentstep   =0;
 	 end
@@ -28,5 +28,5 @@
 	 end
 	 methods
-		 function org=organizer(varargin) % {{{1
+		 function org=organizer(varargin) % {{{
 
 			 %process options
@@ -57,5 +57,5 @@
 		 end
 		 %}}}
-		 function disp(org) % {{{1
+		 function disp(org) % {{{
 			 disp(sprintf('   Repository: ''%s''',org.repository));
 			 disp(sprintf('   Prefix:     ''%s''',org.prefix));
@@ -69,5 +69,23 @@
 		 end
 		 %}}}
-		 function md=loadmodel(org,string),% {{{1
+		 function md=load(org,string),% {{{
+
+			 %Get model path
+			 if ~ischar(string), error('argument provided is not a string'); end
+			 path=[org.repository '/' org.prefix string];
+
+			 %figure out if the model is there
+			 if exist(path,'file'),
+				 struc=load(path,'-mat');
+				 name=char(fieldnames(struc));
+				 md=struc.(name);
+				 if nargout,
+					 varargout{1}=md;
+				 end
+			 else
+				 error(['Could not find ' path ]);
+			 end
+		 end%}}}
+		 function md=loadmodel(org,string),% {{{
 
 			 %Get model path
@@ -76,5 +94,5 @@
 
 			 %figure out if the model is there, otherwise, we have to use the default path supplied by user.
-			 if exist(path,'file'),
+			 if exist(path,'file') | exist([path '.mat'],'file'),
 				 md=loadmodel(path);
 				 return;
@@ -95,5 +113,5 @@
 			 end
 		 end%}}}
-		 function bool=perform(org,string) % {{{1
+		 function bool=perform(org,string) % {{{
 			 
 			 bool=false;
@@ -129,5 +147,5 @@
 
 		 end%}}}
-		 function savemodel(org,md) % {{{1
+		 function savemodel(org,md) % {{{
 
 			 %check
@@ -139,5 +157,5 @@
 			 
 			 %check that md is a model
-			 if ~isa(md,'model'),       error('savemodel error message: third argument is not a model'); end
+			 if ~isa(md,'model'), warning('third argument is not a model'); end
 			 if (org.currentstep>length(org.steps)), error(['organizer error message: element with id ' num2str(org.currentstep) ' not found']); end
 
Index: issm/branches/trunk-jpl-damage/src/m/classes/pairoptions.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/pairoptions.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/pairoptions.m	(revision 12878)
@@ -223,4 +223,23 @@
 			end
 		end % }}}
+		function marshall(obj,fid,firstindex)% {{{
+
+			for i=1:size(obj.list,1),
+				name  = obj.list{i,1};
+				value = obj.list{i,2};
+
+				%Write option name
+				WriteData(fid,'enum',(firstindex-1)+2*i-1,'data',name,'format','String');
+
+				%Write option value
+				if (isnumeric(value) & numel(value)==1),
+					WriteData(fid,'enum',(firstindex-1)+2*i,'data',value,'format','Double');
+				elseif ischar(value),
+					WriteData(fid,'enum',(firstindex-1)+2*i,'data',value,'format','String');
+				else
+					error(['Cannot marshall option ' name ': format not supported yet']);
+				end
+			end
+		end % }}}
 	end
 end
